# Record Class VulkanValidationLogFilename

java.lang.Object
java.lang.Record
com.io7m.jcoronado.layers.khronos_validation.api.VulkanValidationLogFilename

Record Components:
  `file` - The file

All Implemented Interfaces:
  `VulkanValidationSettingType`

public record VulkanValidationLogFilename(String file) extends Record implements VulkanValidationSettingType

See Also:
  - "https://vulkan.lunarg.com/doc/view/latest/linux/khronos_validation_layer.html#user-content-layer-details"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanValidationLogFilename(String file)`
  Creates an instance of a `VulkanValidationLogFilename` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `file()`
  Returns the value of the `file` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `VulkanLayerSettingType`
  `toSetting()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VulkanValidationLogFilename

    public VulkanValidationLogFilename(String file)
    Creates an instance of a `VulkanValidationLogFilename` record class.
    Parameters:
      `file` - the value for the `file` record component

- ## Method Details

  - ### toSetting

    public VulkanLayerSettingType toSetting()
    Specified by:
      `toSetting` in interface `VulkanValidationSettingType`
    Returns:
      This setting as a layer setting

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### file

    public String file()
    Returns the value of the `file` record component.
    Returns:
      the value of the `file` record component